- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sbuild::auth_message Class Reference

Authentication messages. More...

`#include <sbuild-auth-message.h>`

Collaboration diagram for sbuild::auth_message:

[legend]
List of all members.

## Public Types
| MESSAGE_PROMPT_NOECHO = PAM_PROMPT_ECHO_OFF
| Display a prompt, with no echoing of user input.
| MESSAGE_PROMPT_ECHO = PAM_PROMPT_ECHO_ON
| Display a prompt, echoing user input.
| MESSAGE_ERROR = PAM_ERROR_MSG
| Display an error message.
| MESSAGE_INFO = PAM_TEXT_INFO
| Display an informational message.
enum | message_type { MESSAGE_PROMPT_NOECHO = PAM_PROMPT_ECHO_OFF, MESSAGE_PROMPT_ECHO = PAM_PROMPT_ECHO_ON, MESSAGE_ERROR = PAM_ERROR_MSG, MESSAGE_INFO = PAM_TEXT_INFO }
| Message type. More...
## Public Member Functions
| auth_message (message_type type, std::string const &message)
| The constructor.
virtual | ~auth_message ()
| The destructor.
## Public Attributes
message_type | type
| The type of message.
std::string | message
| The message to display.
std::string | response
| The user's response (if any).

## Detailed Description

Authentication messages.

When auth needs to interact with the user, it does this by sending a list of auth_message objects to an AuthConv conversation object. These messages tell the conversation object how to display the message to the user, and if necessary, whether or not to ask the user for some input. They also store the user's input, if required.

## Member Enumeration Documentation

enum sbuild::auth_message::message_type

Message type.

Enumerator:

  MESSAGE_PROMPT_NOECHO | Display a prompt, with no echoing of user input.
  MESSAGE_PROMPT_ECHO | Display a prompt, echoing user input.
  MESSAGE_ERROR | Display an error message.
  MESSAGE_INFO | Display an informational message.

## Constructor & Destructor Documentation

auth_message::auth_message | ( | message_type | type,
|  | std::string const & | message |
| ) |  |  |

The constructor.

Parameters:

  | type | the type of message.
  | message | the message to display.

auth_message::~auth_message | ( |  | ) | `[virtual]`

The destructor.

## Member Data Documentation

std::string sbuild::auth_message::message

The message to display.

std::string sbuild::auth_message::response

The user's response (if any).

message_type sbuild::auth_message::type

The type of message.

The documentation for this class was generated from the following files:

- sbuild/sbuild-auth-message.h
- sbuild/sbuild-auth-message.cc